
; /*************************************************************/
;
;  PureBasic v4.0+
;  glxext - Headerfile converted by Thorsten Will, twill@gmx.de
;
; /*************************************************************/

; #ifndef __glxext_h_
; #__glxext_h_
; 
; #ifdef __cplusplus
; extern "C" {
; #endif

; /*
; ** License Applicability. Except To the extent portions of this file are
; ** made subject To an alternative license As permitted in the SGI Free
; ** Software License B, Version 1.1 (the "License"), the contents of this
; ** file are subject only To the provisions of the License. You may Not use
; ** this file except in compliance With the License. You may obtain a copy
; ** of the License at Silicon Graphics, Inc., attn: Legal Services, 1600
; ** Amphitheatre Parkway, Mountain View, CA 94043-1351, Or at:
; ** 
; ** http://oss.sgi.com/projects/FreeB
; ** 
; ** Note that, As provided in the License, the Software is distributed on an
; ** "AS IS" basis, With ALL EXPRESS And IMPLIED WARRANTIES And CONDITIONS
; ** DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES And
; ** CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS For A
; ** PARTICULAR PURPOSE, And NON-INFRINGEMENT.
; ** 
; ** Original Code. The Original Code is: OpenGL Sample Implementation,
; ** Version 1.2.1, released January 26, 2000, developed by Silicon Graphics,
; ** Inc. The Original Code is Copyright (c) 1991-2004 Silicon Graphics, Inc.
; ** Copyright in any portions created by third parties is As indicated
; ** elsewhere herein. All Rights Reserved.
; ** 
; ** Additional Notice Provisions: This software was created using the
; ** OpenGL(R) version 1.2.1 Sample Implementation published by SGI, but has
; ** Not been independently verified As being compliant With the OpenGL(R)
; ** version 1.2.1 Specification.
; */

; /*************************************************************/

; /* Header file version number, required by OpenGL ABI For Linux */
; /* glxext.h last updated 2005/04/28 */
; /* Current version at http://oss.sgi.com/projects/ogl-sample/registry/ */
#GLX_GLXEXT_VERSION = 11

CompilerIf Defined(GLX_VERSION_1_3, #PB_Constant)
  #GLX_WINDOW_BIT                    = $00000001
  #GLX_PIXMAP_BIT                    = $00000002
  #GLX_PBUFFER_BIT                   = $00000004
  #GLX_RGBA_BIT                      = $00000001
  #GLX_COLOR_INDEX_BIT               = $00000002
  #GLX_PBUFFER_CLOBBER_MASK          = $08000000
  #GLX_FRONT_LEFT_BUFFER_BIT         = $00000001
  #GLX_FRONT_RIGHT_BUFFER_BIT        = $00000002
  #GLX_BACK_LEFT_BUFFER_BIT          = $00000004
  #GLX_BACK_RIGHT_BUFFER_BIT         = $00000008
  #GLX_AUX_BUFFERS_BIT               = $00000010
  #GLX_DEPTH_BUFFER_BIT              = $00000020
  #GLX_STENCIL_BUFFER_BIT            = $00000040
  #GLX_ACCUM_BUFFER_BIT              = $00000080
  #GLX_CONFIG_CAVEAT                 = $20
  #GLX_X_VISUAL_TYPE                 = $22
  #GLX_TRANSPARENT_TYPE              = $23
  #GLX_TRANSPARENT_INDEX_VALUE       = $24
  #GLX_TRANSPARENT_RED_VALUE         = $25
  #GLX_TRANSPARENT_GREEN_VALUE       = $26
  #GLX_TRANSPARENT_BLUE_VALUE        = $27
  #GLX_TRANSPARENT_ALPHA_VALUE       = $28
  #GLX_DONT_CARE                     = $FFFFFFFF
  #GLX_NONE                          = $8000
  #GLX_SLOW_CONFIG                   = $8001
  #GLX_TRUE_COLOR                    = $8002
  #GLX_DIRECT_COLOR                  = $8003
  #GLX_PSEUDO_COLOR                  = $8004
  #GLX_STATIC_COLOR                  = $8005
  #GLX_GRAY_SCALE                    = $8006
  #GLX_STATIC_GRAY                   = $8007
  #GLX_TRANSPARENT_RGB               = $8008
  #GLX_TRANSPARENT_INDEX             = $8009
  #GLX_VISUAL_ID                     = $800B
  #GLX_SCREEN                        = $800C
  #GLX_NON_CONFORMANT_CONFIG         = $800D
  #GLX_DRAWABLE_TYPE                 = $8010
  #GLX_RENDER_TYPE                   = $8011
  #GLX_X_RENDERABLE                  = $8012
  #GLX_FBCONFIG_ID                   = $8013
  #GLX_RGBA_TYPE                     = $8014
  #GLX_COLOR_INDEX_TYPE              = $8015
  #GLX_MAX_PBUFFER_WIDTH             = $8016
  #GLX_MAX_PBUFFER_HEIGHT            = $8017
  #GLX_MAX_PBUFFER_PIXELS            = $8018
  #GLX_PRESERVED_CONTENTS            = $801B
  #GLX_LARGEST_PBUFFER               = $801C
  #GLX_WIDTH                         = $801D
  #GLX_HEIGHT                        = $801E
  #GLX_EVENT_MASK                    = $801F
  #GLX_DAMAGED                       = $8020
  #GLX_SAVED                         = $8021
  #GLX_WINDOW                        = $8022
  #GLX_PBUFFER                       = $8023
  #GLX_PBUFFER_HEIGHT                = $8040
  #GLX_PBUFFER_WIDTH                 = $8041
CompilerEndIf

CompilerIf Defined(GLX_VERSION_1_4, #PB_Constant)
  #GLX_SAMPLE_BUFFERS                = 100000
  #GLX_SAMPLES                       = 100001
CompilerEndIf

CompilerIf Defined(GLX_ARB_get_proc_address, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_ARB_multisample, #PB_Constant)
  #GLX_SAMPLE_BUFFERS_ARB            = 100000
  #GLX_SAMPLES_ARB                   = 100001
CompilerEndIf

CompilerIf Defined(GLX_ARB_fbconfig_float, #PB_Constant)
  #GLX_RGBA_FLOAT_TYPE_ARB           = $20B9
  #GLX_RGBA_FLOAT_BIT_ARB            = $00000004
CompilerEndIf

CompilerIf Defined(GLX_SGIS_multisample, #PB_Constant)
  #GLX_SAMPLE_BUFFERS_SGIS           = 100000
  #GLX_SAMPLES_SGIS                  = 100001
CompilerEndIf

CompilerIf Defined(GLX_EXT_visual_info, #PB_Constant)
  #GLX_X_VISUAL_TYPE_EXT             = $22
  #GLX_TRANSPARENT_TYPE_EXT          = $23
  #GLX_TRANSPARENT_INDEX_VALUE_EXT   = $24
  #GLX_TRANSPARENT_RED_VALUE_EXT     = $25
  #GLX_TRANSPARENT_GREEN_VALUE_EXT   = $26
  #GLX_TRANSPARENT_BLUE_VALUE_EXT    = $27
  #GLX_TRANSPARENT_ALPHA_VALUE_EXT   = $28
  #GLX_NONE_EXT                      = $8000
  #GLX_TRUE_COLOR_EXT                = $8002
  #GLX_DIRECT_COLOR_EXT              = $8003
  #GLX_PSEUDO_COLOR_EXT              = $8004
  #GLX_STATIC_COLOR_EXT              = $8005
  #GLX_GRAY_SCALE_EXT                = $8006
  #GLX_STATIC_GRAY_EXT               = $8007
  #GLX_TRANSPARENT_RGB_EXT           = $8008
  #GLX_TRANSPARENT_INDEX_EXT         = $8009
CompilerEndIf

CompilerIf Defined(GLX_SGI_swap_control, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_SGI_video_sync, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_SGI_make_current_read, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_SGIX_video_source, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_EXT_visual_rating, #PB_Constant)
  #GLX_VISUAL_CAVEAT_EXT             = $20
  #GLX_SLOW_VISUAL_EXT               = $8001
  #GLX_NON_CONFORMANT_VISUAL_EXT     = $800D
;/* reuse GLX_NONE_EXT */
CompilerEndIf

CompilerIf Defined(GLX_EXT_import_context, #PB_Constant)
  #GLX_SHARE_CONTEXT_EXT             = $800A
  #GLX_VISUAL_ID_EXT                 = $800B
  #GLX_SCREEN_EXT                    = $800C
CompilerEndIf

CompilerIf Defined(GLX_SGIX_fbconfig, #PB_Constant)
  #GLX_WINDOW_BIT_SGIX               = $00000001
  #GLX_PIXMAP_BIT_SGIX               = $00000002
  #GLX_RGBA_BIT_SGIX                 = $00000001
  #GLX_COLOR_INDEX_BIT_SGIX          = $00000002
  #GLX_DRAWABLE_TYPE_SGIX            = $8010
  #GLX_RENDER_TYPE_SGIX              = $8011
  #GLX_X_RENDERABLE_SGIX             = $8012
  #GLX_FBCONFIG_ID_SGIX              = $8013
  #GLX_RGBA_TYPE_SGIX                = $8014
  #GLX_COLOR_INDEX_TYPE_SGIX         = $8015
;/* reuse GLX_SCREEN_EXT */
CompilerEndIf

CompilerIf Defined(GLX_SGIX_pbuffer, #PB_Constant)
  #GLX_PBUFFER_BIT_SGIX              = $00000004
  #GLX_BUFFER_CLOBBER_MASK_SGIX      = $08000000
  #GLX_FRONT_LEFT_BUFFER_BIT_SGIX    = $00000001
  #GLX_FRONT_RIGHT_BUFFER_BIT_SGIX   = $00000002
  #GLX_BACK_LEFT_BUFFER_BIT_SGIX     = $00000004
  #GLX_BACK_RIGHT_BUFFER_BIT_SGIX    = $00000008
  #GLX_AUX_BUFFERS_BIT_SGIX          = $00000010
  #GLX_DEPTH_BUFFER_BIT_SGIX         = $00000020
  #GLX_STENCIL_BUFFER_BIT_SGIX       = $00000040
  #GLX_ACCUM_BUFFER_BIT_SGIX         = $00000080
  #GLX_SAMPLE_BUFFERS_BIT_SGIX       = $00000100
  #GLX_MAX_PBUFFER_WIDTH_SGIX        = $8016
  #GLX_MAX_PBUFFER_HEIGHT_SGIX       = $8017
  #GLX_MAX_PBUFFER_PIXELS_SGIX       = $8018
  #GLX_OPTIMAL_PBUFFER_WIDTH_SGIX    = $8019
  #GLX_OPTIMAL_PBUFFER_HEIGHT_SGIX   = $801A
  #GLX_PRESERVED_CONTENTS_SGIX       = $801B
  #GLX_LARGEST_PBUFFER_SGIX          = $801C
  #GLX_WIDTH_SGIX                    = $801D
  #GLX_HEIGHT_SGIX                   = $801E
  #GLX_EVENT_MASK_SGIX               = $801F
  #GLX_DAMAGED_SGIX                  = $8020
  #GLX_SAVED_SGIX                    = $8021
  #GLX_WINDOW_SGIX                   = $8022
  #GLX_PBUFFER_SGIX                  = $8023
CompilerEndIf

CompilerIf Defined(GLX_SGI_cushion, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_SGIX_video_resize, #PB_Constant)
  #GLX_SYNC_FRAME_SGIX               = $00000000
  #GLX_SYNC_SWAP_SGIX                = $00000001
CompilerEndIf

CompilerIf Defined(GLX_SGIX_dmbuffer, #PB_Constant)
  #GLX_DIGITAL_MEDIA_PBUFFER_SGIX    = $8024
CompilerEndIf

CompilerIf Defined(GLX_SGIX_swap_group, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_SGIX_swap_barrier, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_SGIS_blended_overlay, #PB_Constant)
  #GLX_BLENDED_RGBA_SGIS             = $8025
CompilerEndIf

CompilerIf Defined(GLX_SGIS_shared_multisample, #PB_Constant)
  #GLX_MULTISAMPLE_SUB_RECT_WIDTH_SGIS   = $8026
  #GLX_MULTISAMPLE_SUB_RECT_HEIGHT_SGIS  = $8027
CompilerEndIf

CompilerIf Defined(GLX_SUN_get_transparent_index, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_3DFX_multisample, #PB_Constant)
  #GLX_SAMPLE_BUFFERS_3DFX           = $8050
  #GLX_SAMPLES_3DFX                  = $8051
CompilerEndIf

CompilerIf Defined(GLX_MESA_copy_sub_buffer, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_MESA_pixmap_colormap, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_MESA_release_buffers, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_MESA_set_3dfx_mode, #PB_Constant)
  #GLX_3DFX_WINDOW_MODE_MESA      = $1
  #GLX_3DFX_FULLSCREEN_MODE_MESA  = $2
CompilerEndIf

CompilerIf Defined(GLX_SGIX_visual_select_group, #PB_Constant)
  #GLX_VISUAL_SELECT_GROUP_SGIX  = $8028
CompilerEndIf

CompilerIf Defined(GLX_OML_swap_method, #PB_Constant)
  #GLX_SWAP_METHOD_OML     = $8060          
  #GLX_SWAP_EXCHANGE_OML   = $8061          
  #GLX_SWAP_COPY_OML       = $8062          
  #GLX_SWAP_UNDEFINED_OML  = $8063          
CompilerEndIf           

CompilerIf Defined(GLX_OML_sync_control, #PB_Constant)
CompilerEndIf

CompilerIf Defined(GLX_NV_float_buffer, #PB_Constant)
  #GLX_FLOAT_COMPONENTS_NV           = $20B0
CompilerEndIf

CompilerIf Defined(GLX_SGIX_hyperpipe, #PB_Constant)
  #GLX_HYPERPIPE_PIPE_NAME_LENGTH_SGIX = 80
  #GLX_BAD_HYPERPIPE_CONFIG_SGIX       = 91
  #GLX_BAD_HYPERPIPE_SGIX              = 92
  #GLX_HYPERPIPE_DISPLAY_PIPE_SGIX     = $00000001 
  #GLX_HYPERPIPE_RENDER_PIPE_SGIX      = $00000002
  #GLX_PIPE_RECT_SGIX                  = $00000001
  #GLX_PIPE_RECT_LIMITS_SGIX           = $00000002
  #GLX_HYPERPIPE_STEREO_SGIX           = $00000003
  #GLX_HYPERPIPE_PIXEL_AVERAGE_SGIX    = $00000004
  #GLX_HYPERPIPE_ID_SGIX               = $8030     
CompilerEndIf                      

CompilerIf Defined(GLX_MESA_agp_offset, #PB_Constant)
CompilerEndIf


; /*************************************************************/
; 
; #ifndef GLX_ARB_get_proc_address
; typedef void (*__GLXextFuncPtr)(void);
; #endif
; 
; #ifndef GLX_SGIX_video_source
; typedef XID GLXVideoSourceSGIX;
; #endif
; 
; #ifndef GLX_SGIX_fbconfig
; typedef XID GLXFBConfigIDSGIX;
; typedef struct __GLXFBConfigRec *GLXFBConfigSGIX;
; #endif
; 
; #ifndef GLX_SGIX_pbuffer
; typedef XID GLXPbufferSGIX;
; typedef struct {
;     int type;
;     unsigned long serial;	  /* # of last request processed by server */
;     Bool send_event;		  /* true if this came for SendEvent request */
;     Display *display;		  /* display the event was read from */
;     GLXDrawable drawable;	  /* i.d. of Drawable */
;     int event_type;		  /* GLX_DAMAGED_SGIX or GLX_SAVED_SGIX */
;     int draw_type;		  /* GLX_WINDOW_SGIX or GLX_PBUFFER_SGIX */
;     unsigned int mask;	  /* mask indicating which buffers are affected*/
;     int x, y;
;     int width, height;
;     int count;		  /* if nonzero, at least this many more */
; } GLXBufferClobberEventSGIX;
; #endif
; 
; /* Define int32_t And int64_t types For UST/MSC */
; /* (As used in the GLX_OML_sync_control extension). */
; #if Defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L
; #include <inttypes.h>
; #elif Defined( __VMS )
; #include <inttypes.h>
; #elif Defined(__SCO__) || Defined(__USLC__)
; #include <stdint.h>
; #elif Defined(__UNIXOS2__) || Defined(__SOL64__)
; typedef long int int32_t;
; typedef long long int int64_t;
; #else
; #include <inttypes.h>     /* Fallback option */
; #endif
; 
; #ifndef GLX_VERSION_1_3
; #GLX_VERSION_1_3 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern GLXFBConfig * glXGetFBConfigs (Display *, int, int *);
; extern GLXFBConfig * glXChooseFBConfig (Display *, int, const int *, int *);
; extern int glXGetFBConfigAttrib (Display *, GLXFBConfig, int, int *);
; extern XVisualInfo * glXGetVisualFromFBConfig (Display *, GLXFBConfig);
; extern GLXWindow glXCreateWindow (Display *, GLXFBConfig, Window, const int *);
; extern void glXDestroyWindow (Display *, GLXWindow);
; extern GLXPixmap glXCreatePixmap (Display *, GLXFBConfig, Pixmap, const int *);
; extern void glXDestroyPixmap (Display *, GLXPixmap);
; extern GLXPbuffer glXCreatePbuffer (Display *, GLXFBConfig, const int *);
; extern void glXDestroyPbuffer (Display *, GLXPbuffer);
; extern void glXQueryDrawable (Display *, GLXDrawable, int, unsigned int *);
; extern GLXContext glXCreateNewContext (Display *, GLXFBConfig, int, GLXContext, Bool);
; extern Bool glXMakeContextCurrent (Display *, GLXDrawable, GLXDrawable, GLXContext);
; extern GLXDrawable glXGetCurrentReadDrawable (void);
; extern Display * glXGetCurrentDisplay (void);
; extern int glXQueryContext (Display *, GLXContext, int, int *);
; extern void glXSelectEvent (Display *, GLXDrawable, unsigned long);
; extern void glXGetSelectedEvent (Display *, GLXDrawable, unsigned long *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef GLXFBConfig * ( * PFNGLXGETFBCONFIGSPROC) (Display *dpy, int screen, int *nelements);
; typedef GLXFBConfig * ( * PFNGLXCHOOSEFBCONFIGPROC) (Display *dpy, int screen, const int *attrib_list, int *nelements);
; typedef Int ( * PFNGLXGETFBCONFIGATTRIBPROC) (Display *dpy, GLXFBConfig config, int attribute, int *value);
; typedef XVisualInfo * ( * PFNGLXGETVISUALFROMFBCONFIGPROC) (Display *dpy, GLXFBConfig config);
; typedef GLXWindow ( * PFNGLXCREATEWINDOWPROC) (Display *dpy, GLXFBConfig config, Window win, const int *attrib_list);
; typedef void ( * PFNGLXDESTROYWINDOWPROC) (Display *dpy, GLXWindow win);
; typedef GLXPixmap ( * PFNGLXCREATEPIXMAPPROC) (Display *dpy, GLXFBConfig config, Pixmap pixmap, const int *attrib_list);
; typedef void ( * PFNGLXDESTROYPIXMAPPROC) (Display *dpy, GLXPixmap pixmap);
; typedef GLXPbuffer ( * PFNGLXCREATEPBUFFERPROC) (Display *dpy, GLXFBConfig config, const int *attrib_list);
; typedef void ( * PFNGLXDESTROYPBUFFERPROC) (Display *dpy, GLXPbuffer pbuf);
; typedef void ( * PFNGLXQUERYDRAWABLEPROC) (Display *dpy, GLXDrawable draw, int attribute, unsigned int *value);
; typedef GLXContext ( * PFNGLXCREATENEWCONTEXTPROC) (Display *dpy, GLXFBConfig config, int render_type, GLXContext share_list, Bool direct);
; typedef Bool ( * PFNGLXMAKECONTEXTCURRENTPROC) (Display *dpy, GLXDrawable draw, GLXDrawable Read, GLXContext ctx);
; typedef GLXDrawable ( * PFNGLXGETCURRENTREADDRAWABLEPROC) (void);
; typedef Display * ( * PFNGLXGETCURRENTDISPLAYPROC) (void);
; typedef Int ( * PFNGLXQUERYCONTEXTPROC) (Display *dpy, GLXContext ctx, int attribute, int *value);
; typedef void ( * PFNGLXSELECTEVENTPROC) (Display *dpy, GLXDrawable draw, unsigned long event_mask);
; typedef void ( * PFNGLXGETSELECTEDEVENTPROC) (Display *dpy, GLXDrawable draw, unsigned long *event_mask);
; #endif
; 
; #ifndef GLX_VERSION_1_4
; #GLX_VERSION_1_4 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern __GLXextFuncPtr glXGetProcAddress (const GLubyte *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef __GLXextFuncPtr ( * PFNGLXGETPROCADDRESSPROC) (const GLubyte *procName);
; #endif
; 
; #ifndef GLX_ARB_get_proc_address
; #GLX_ARB_get_proc_address 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern __GLXextFuncPtr glXGetProcAddressARB (const GLubyte *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef __GLXextFuncPtr ( * PFNGLXGETPROCADDRESSARBPROC) (const GLubyte *procName);
; #endif
; 
; #ifndef GLX_ARB_multisample
; #GLX_ARB_multisample 1
; #endif
; 
; #ifndef GLX_ARB_fbconfig_float
; #GLX_ARB_fbconfig_float 1
; #endif
; 
; #ifndef GLX_SGIS_multisample
; #GLX_SGIS_multisample 1
; #endif
; 
; #ifndef GLX_EXT_visual_info
; #GLX_EXT_visual_info 1
; #endif
; 
; #ifndef GLX_SGI_swap_control
; #GLX_SGI_swap_control 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern int glXSwapIntervalSGI (int);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Int ( * PFNGLXSWAPINTERVALSGIPROC) (int interval);
; #endif
; 
; #ifndef GLX_SGI_video_sync
; #GLX_SGI_video_sync 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern int glXGetVideoSyncSGI (unsigned int *);
; extern int glXWaitVideoSyncSGI (int, int, unsigned int *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Int ( * PFNGLXGETVIDEOSYNCSGIPROC) (unsigned int *count);
; typedef Int ( * PFNGLXWAITVIDEOSYNCSGIPROC) (int divisor, int remainder, unsigned int *count);
; #endif
; 
; #ifndef GLX_SGI_make_current_read
; #GLX_SGI_make_current_read 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern Bool glXMakeCurrentReadSGI (Display *, GLXDrawable, GLXDrawable, GLXContext);
; extern GLXDrawable glXGetCurrentReadDrawableSGI (void);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Bool ( * PFNGLXMAKECURRENTREADSGIPROC) (Display *dpy, GLXDrawable draw, GLXDrawable Read, GLXContext ctx);
; typedef GLXDrawable ( * PFNGLXGETCURRENTREADDRAWABLESGIPROC) (void);
; #endif
; 
; #ifndef GLX_SGIX_video_source
; #GLX_SGIX_video_source 1
; #ifdef _VL_H
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern GLXVideoSourceSGIX glXCreateGLXVideoSourceSGIX (Display *, int, VLServer, VLPath, int, VLNode);
; extern void glXDestroyGLXVideoSourceSGIX (Display *, GLXVideoSourceSGIX);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef GLXVideoSourceSGIX ( * PFNGLXCREATEGLXVIDEOSOURCESGIXPROC) (Display *display, int screen, VLServer server, VLPath path, int nodeClass, VLNode drainNode);
; typedef void ( * PFNGLXDESTROYGLXVIDEOSOURCESGIXPROC) (Display *dpy, GLXVideoSourceSGIX glxvideosource);
; #endif /* _VL_H */
; #endif
; 
; #ifndef GLX_EXT_visual_rating
; #GLX_EXT_visual_rating 1
; #endif
; 
; #ifndef GLX_EXT_import_context
; #GLX_EXT_import_context 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern Display * glXGetCurrentDisplayEXT (void);
; extern int glXQueryContextInfoEXT (Display *, GLXContext, int, int *);
; extern GLXContextID glXGetContextIDEXT (const GLXContext);
; extern GLXContext glXImportContextEXT (Display *, GLXContextID);
; extern void glXFreeContextEXT (Display *, GLXContext);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Display * ( * PFNGLXGETCURRENTDISPLAYEXTPROC) (void);
; typedef Int ( * PFNGLXQUERYCONTEXTINFOEXTPROC) (Display *dpy, GLXContext context, int attribute, int *value);
; typedef GLXContextID ( * PFNGLXGETCONTEXTIDEXTPROC) (const GLXContext context);
; typedef GLXContext ( * PFNGLXIMPORTCONTEXTEXTPROC) (Display *dpy, GLXContextID contextID);
; typedef void ( * PFNGLXFREECONTEXTEXTPROC) (Display *dpy, GLXContext context);
; #endif
; 
; #ifndef GLX_SGIX_fbconfig
; #GLX_SGIX_fbconfig 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern int glXGetFBConfigAttribSGIX (Display *, GLXFBConfigSGIX, int, int *);
; extern GLXFBConfigSGIX * glXChooseFBConfigSGIX (Display *, int, int *, int *);
; extern GLXPixmap glXCreateGLXPixmapWithConfigSGIX (Display *, GLXFBConfigSGIX, Pixmap);
; extern GLXContext glXCreateContextWithConfigSGIX (Display *, GLXFBConfigSGIX, int, GLXContext, Bool);
; extern XVisualInfo * glXGetVisualFromFBConfigSGIX (Display *, GLXFBConfigSGIX);
; extern GLXFBConfigSGIX glXGetFBConfigFromVisualSGIX (Display *, XVisualInfo *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Int ( * PFNGLXGETFBCONFIGATTRIBSGIXPROC) (Display *dpy, GLXFBConfigSGIX config, int attribute, int *value);
; typedef GLXFBConfigSGIX * ( * PFNGLXCHOOSEFBCONFIGSGIXPROC) (Display *dpy, int screen, int *attrib_list, int *nelements);
; typedef GLXPixmap ( * PFNGLXCREATEGLXPIXMAPWITHCONFIGSGIXPROC) (Display *dpy, GLXFBConfigSGIX config, Pixmap pixmap);
; typedef GLXContext ( * PFNGLXCREATECONTEXTWITHCONFIGSGIXPROC) (Display *dpy, GLXFBConfigSGIX config, int render_type, GLXContext share_list, Bool direct);
; typedef XVisualInfo * ( * PFNGLXGETVISUALFROMFBCONFIGSGIXPROC) (Display *dpy, GLXFBConfigSGIX config);
; typedef GLXFBConfigSGIX ( * PFNGLXGETFBCONFIGFROMVISUALSGIXPROC) (Display *dpy, XVisualInfo *vis);
; #endif
; 
; #ifndef GLX_SGIX_pbuffer
; #GLX_SGIX_pbuffer 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern GLXPbufferSGIX glXCreateGLXPbufferSGIX (Display *, GLXFBConfigSGIX, unsigned int, unsigned int, int *);
; extern void glXDestroyGLXPbufferSGIX (Display *, GLXPbufferSGIX);
; extern int glXQueryGLXPbufferSGIX (Display *, GLXPbufferSGIX, int, unsigned int *);
; extern void glXSelectEventSGIX (Display *, GLXDrawable, unsigned long);
; extern void glXGetSelectedEventSGIX (Display *, GLXDrawable, unsigned long *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef GLXPbufferSGIX ( * PFNGLXCREATEGLXPBUFFERSGIXPROC) (Display *dpy, GLXFBConfigSGIX config, unsigned int width, unsigned int height, int *attrib_list);
; typedef void ( * PFNGLXDESTROYGLXPBUFFERSGIXPROC) (Display *dpy, GLXPbufferSGIX pbuf);
; typedef Int ( * PFNGLXQUERYGLXPBUFFERSGIXPROC) (Display *dpy, GLXPbufferSGIX pbuf, int attribute, unsigned int *value);
; typedef void ( * PFNGLXSELECTEVENTSGIXPROC) (Display *dpy, GLXDrawable drawable, unsigned long mask);
; typedef void ( * PFNGLXGETSELECTEDEVENTSGIXPROC) (Display *dpy, GLXDrawable drawable, unsigned long *mask);
; #endif
; 
; #ifndef GLX_SGI_cushion
; #GLX_SGI_cushion 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern void glXCushionSGI (Display *, Window, float);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef void ( * PFNGLXCUSHIONSGIPROC) (Display *dpy, Window window, float cushion);
; #endif
; 
; #ifndef GLX_SGIX_video_resize
; #GLX_SGIX_video_resize 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern int glXBindChannelToWindowSGIX (Display *, int, int, Window);
; extern int glXChannelRectSGIX (Display *, int, int, int, int, int, int);
; extern int glXQueryChannelRectSGIX (Display *, int, int, int *, int *, int *, int *);
; extern int glXQueryChannelDeltasSGIX (Display *, int, int, int *, int *, int *, int *);
; extern int glXChannelRectSyncSGIX (Display *, int, int, GLenum);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Int ( * PFNGLXBINDCHANNELTOWINDOWSGIXPROC) (Display *display, int screen, int channel, Window window);
; typedef Int ( * PFNGLXCHANNELRECTSGIXPROC) (Display *display, int screen, int channel, int x, int y, int w, int h);
; typedef Int ( * PFNGLXQUERYCHANNELRECTSGIXPROC) (Display *display, int screen, int channel, int *dx, int *dy, int *dw, int *dh);
; typedef Int ( * PFNGLXQUERYCHANNELDELTASSGIXPROC) (Display *display, int screen, int channel, int *x, int *y, int *w, int *h);
; typedef Int ( * PFNGLXCHANNELRECTSYNCSGIXPROC) (Display *display, int screen, int channel, GLenum synctype);
; #endif
; 
; #ifndef GLX_SGIX_dmbuffer
; #GLX_SGIX_dmbuffer 1
; #ifdef _DM_BUFFER_H_
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern Bool glXAssociateDMPbufferSGIX (Display *, GLXPbufferSGIX, DMparams *, DMbuffer);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Bool ( * PFNGLXASSOCIATEDMPBUFFERSGIXPROC) (Display *dpy, GLXPbufferSGIX pbuffer, DMparams *params, DMbuffer dmbuffer);
; #endif /* _DM_BUFFER_H_ */
; #endif
; 
; #ifndef GLX_SGIX_swap_group
; #GLX_SGIX_swap_group 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern void glXJoinSwapGroupSGIX (Display *, GLXDrawable, GLXDrawable);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef void ( * PFNGLXJOINSWAPGROUPSGIXPROC) (Display *dpy, GLXDrawable drawable, GLXDrawable member);
; #endif
; 
; #ifndef GLX_SGIX_swap_barrier
; #GLX_SGIX_swap_barrier 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern void glXBindSwapBarrierSGIX (Display *, GLXDrawable, int);
; extern Bool glXQueryMaxSwapBarriersSGIX (Display *, int, int *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef void ( * PFNGLXBINDSWAPBARRIERSGIXPROC) (Display *dpy, GLXDrawable drawable, int barrier);
; typedef Bool ( * PFNGLXQUERYMAXSWAPBARRIERSSGIXPROC) (Display *dpy, int screen, int *max);
; #endif
; 
; #ifndef GLX_SUN_get_transparent_index
; #GLX_SUN_get_transparent_index 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern Status glXGetTransparentIndexSUN (Display *, Window, Window, long *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Status ( * PFNGLXGETTRANSPARENTINDEXSUNPROC) (Display *dpy, Window overlay, Window underlay, long *pTransparentIndex);
; #endif
; 
; #ifndef GLX_MESA_copy_sub_buffer
; #GLX_MESA_copy_sub_buffer 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern void glXCopySubBufferMESA (Display *, GLXDrawable, int, int, int, int);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef void ( * PFNGLXCOPYSUBBUFFERMESAPROC) (Display *dpy, GLXDrawable drawable, int x, int y, int width, int height);
; #endif
; 
; #ifndef GLX_MESA_pixmap_colormap
; #GLX_MESA_pixmap_colormap 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern GLXPixmap glXCreateGLXPixmapMESA (Display *, XVisualInfo *, Pixmap, Colormap);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef GLXPixmap ( * PFNGLXCREATEGLXPIXMAPMESAPROC) (Display *dpy, XVisualInfo *visual, Pixmap pixmap, Colormap cmap);
; #endif
; 
; #ifndef GLX_MESA_release_buffers
; #GLX_MESA_release_buffers 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern Bool glXReleaseBuffersMESA (Display *, GLXDrawable);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Bool ( * PFNGLXRELEASEBUFFERSMESAPROC) (Display *dpy, GLXDrawable drawable);
; #endif
; 
; #ifndef GLX_MESA_set_3dfx_mode
; #GLX_MESA_set_3dfx_mode 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern Bool glXSet3DfxModeMESA (int);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Bool ( * PFNGLXSET3DFXMODEMESAPROC) (int mode);
; #endif
; 
; #ifndef GLX_SGIX_visual_select_group
; #GLX_SGIX_visual_select_group 1
; #endif
; 
; #ifndef GLX_OML_swap_method
; #GLX_OML_swap_method 1
; #endif
; 
; #ifndef GLX_OML_sync_control
; #GLX_OML_sync_control 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern Bool glXGetSyncValuesOML (Display *, GLXDrawable, int64_t *, int64_t *, int64_t *);
; extern Bool glXGetMscRateOML (Display *, GLXDrawable, int32_t *, int32_t *);
; extern int64_t glXSwapBuffersMscOML (Display *, GLXDrawable, int64_t, int64_t, int64_t);
; extern Bool glXWaitForMscOML (Display *, GLXDrawable, int64_t, int64_t, int64_t, int64_t *, int64_t *, int64_t *);
; extern Bool glXWaitForSbcOML (Display *, GLXDrawable, int64_t, int64_t *, int64_t *, int64_t *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef Bool ( * PFNGLXGETSYNCVALUESOMLPROC) (Display *dpy, GLXDrawable drawable, int64_t *ust, int64_t *msc, int64_t *sbc);
; typedef Bool ( * PFNGLXGETMSCRATEOMLPROC) (Display *dpy, GLXDrawable drawable, int32_t *numerator, int32_t *denominator);
; typedef int64_t ( * PFNGLXSWAPBUFFERSMSCOMLPROC) (Display *dpy, GLXDrawable drawable, int64_t target_msc, int64_t divisor, int64_t remainder);
; typedef Bool ( * PFNGLXWAITFORMSCOMLPROC) (Display *dpy, GLXDrawable drawable, int64_t target_msc, int64_t divisor, int64_t remainder, int64_t *ust, int64_t *msc, int64_t *sbc);
; typedef Bool ( * PFNGLXWAITFORSBCOMLPROC) (Display *dpy, GLXDrawable drawable, int64_t target_sbc, int64_t *ust, int64_t *msc, int64_t *sbc);
; #endif
; 
; #ifndef GLX_NV_float_buffer
; #GLX_NV_float_buffer 1
; #endif
; 
; #ifndef GLX_SGIX_hyperpipe
; #GLX_SGIX_hyperpipe 1
; 
; typedef struct {
;     char    pipeName[GLX_HYPERPIPE_PIPE_NAME_LENGTH_SGIX];
;     int     networkId;
; } GLXHyperpipeNetworkSGIX;
; 
; typedef struct {
;     char    pipeName[GLX_HYPERPIPE_PIPE_NAME_LENGTH_SGIX];
;     int     channel;
;     unsigned int
;       participationType;
;     int     timeSlice;
; } GLXHyperpipeConfigSGIX;
; 
; typedef struct {
;     char pipeName[GLX_HYPERPIPE_PIPE_NAME_LENGTH_SGIX];
;     int srcXOrigin, srcYOrigin, srcWidth, srcHeight;
;     int destXOrigin, destYOrigin, destWidth, destHeight;
; } GLXPipeRect;
; 
; typedef struct {
;     char pipeName[GLX_HYPERPIPE_PIPE_NAME_LENGTH_SGIX];
;     int XOrigin, YOrigin, maxHeight, maxWidth;
; } GLXPipeRectLimits;
; 
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern GLXHyperpipeNetworkSGIX * glXQueryHyperpipeNetworkSGIX (Display *, int *);
; extern int glXHyperpipeConfigSGIX (Display *, int, int, GLXHyperpipeConfigSGIX *, int *);
; extern GLXHyperpipeConfigSGIX * glXQueryHyperpipeConfigSGIX (Display *, int, int *);
; extern int glXDestroyHyperpipeConfigSGIX (Display *, int);
; extern int glXBindHyperpipeSGIX (Display *, int);
; extern int glXQueryHyperpipeBestAttribSGIX (Display *, int, int, int, void *, void *);
; extern int glXHyperpipeAttribSGIX (Display *, int, int, int, void *);
; extern int glXQueryHyperpipeAttribSGIX (Display *, int, int, int, void *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef GLXHyperpipeNetworkSGIX * ( * PFNGLXQUERYHYPERPIPENETWORKSGIXPROC) (Display *dpy, int *npipes);
; typedef Int ( * PFNGLXHYPERPIPECONFIGSGIXPROC) (Display *dpy, int networkId, int npipes, GLXHyperpipeConfigSGIX *cfg, int *hpId);
; typedef GLXHyperpipeConfigSGIX * ( * PFNGLXQUERYHYPERPIPECONFIGSGIXPROC) (Display *dpy, int hpId, int *npipes);
; typedef Int ( * PFNGLXDESTROYHYPERPIPECONFIGSGIXPROC) (Display *dpy, int hpId);
; typedef Int ( * PFNGLXBINDHYPERPIPESGIXPROC) (Display *dpy, int hpId);
; typedef Int ( * PFNGLXQUERYHYPERPIPEBESTATTRIBSGIXPROC) (Display *dpy, int timeSlice, int attrib, int size, void *attribList, void *returnAttribList);
; typedef Int ( * PFNGLXHYPERPIPEATTRIBSGIXPROC) (Display *dpy, int timeSlice, int attrib, int size, void *attribList);
; typedef Int ( * PFNGLXQUERYHYPERPIPEATTRIBSGIXPROC) (Display *dpy, int timeSlice, int attrib, int size, void *returnAttribList);
; #endif
; 
; #ifndef GLX_MESA_agp_offset
; #GLX_MESA_agp_offset 1
; #ifdef GLX_GLXEXT_PROTOTYPES
; extern unsigned int glXGetAGPOffsetMESA (const void *);
; #endif /* GLX_GLXEXT_PROTOTYPES */
; typedef unsigned Int ( * PFNGLXGETAGPOFFSETMESAPROC) (const void *pointer);
; #endif
; 
; 
; #ifdef __cplusplus
; }
; #endif
; 
; #endif

; IDE Options = PureBasic v4.00 - Beta 6 (Windows - x86)
; CursorPosition = 279
; FirstLine = 255
; Folding = -