
; /*************************************************************/
;
;  PureBasic v4.0+
;  wglext - Headerfile converted by Thorsten Will, twill@gmx.de
;
; /*************************************************************/


; #ifndef __wglext_h_
; #__wglext_h_
; 
; #ifdef __cplusplus
; extern "C" {
; CompilerEndIf

; /*
; ** License Applicability. Except To the extent portions of this file are
; ** made subject To an alternative license As permitted in the SGI Free
; ** Software License B, Version 1.1 (the "License"), the contents of this
; ** file are subject only To the provisions of the License. You may Not use
; ** this file except in compliance With the License. You may obtain a copy
; ** of the License at Silicon Graphics, Inc., attn: Legal Services, 1600
; ** Amphitheatre Parkway, Mountain View, CA 94043-1351, Or at:
; ** 
; ** http://oss.sgi.com/projects/FreeB
; ** 
; ** Note that, As provided in the License, the Software is distributed on an
; ** "AS IS" basis, With ALL EXPRESS And IMPLIED WARRANTIES And CONDITIONS
; ** DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES And
; ** CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS For A
; ** PARTICULAR PURPOSE, And NON-INFRINGEMENT.
; ** 
; ** Original Code. The Original Code is: OpenGL Sample Implementation,
; ** Version 1.2.1, released January 26, 2000, developed by Silicon Graphics,
; ** Inc. The Original Code is Copyright (c) 1991-2004 Silicon Graphics, Inc.
; ** Copyright in any portions created by third parties is As indicated
; ** elsewhere herein. All Rights Reserved.
; ** 
; ** Additional Notice Provisions: This software was created using the
; ** OpenGL(R) version 1.2.1 Sample Implementation published by SGI, but has
; ** Not been independently verified As being compliant With the OpenGL(R)
; ** version 1.2.1 Specification.
; */

; /*************************************************************/

; /* Header file version number */
; /* wglext.h last updated 2005/01/07 */
; /* Current version at http://oss.sgi.com/projects/ogl-sample/registry/ */
#WGL_WGLEXT_VERSION  = 6

CompilerIf Defined(WGL_ARB_buffer_region, #PB_Constant)
  #WGL_FRONT_COLOR_BUFFER_BIT_ARB  = $00000001
  #WGL_BACK_COLOR_BUFFER_BIT_ARB   = $00000002
  #WGL_DEPTH_BUFFER_BIT_ARB        = $00000004
  #WGL_STENCIL_BUFFER_BIT_ARB      = $00000008
CompilerEndIf

CompilerIf Defined(WGL_ARB_multisample, #PB_Constant)
  #WGL_SAMPLE_BUFFERS_ARB  = $2041         
  #WGL_SAMPLES_ARB         = $2042         
CompilerEndIf          

CompilerIf Defined(WGL_ARB_extensions_string, #PB_Constant)
CompilerEndIf

CompilerIf Defined(WGL_ARB_pixel_format, #PB_Constant)
  #WGL_NUMBER_PIXEL_FORMATS_ARB     = $2000
  #WGL_DRAW_TO_WINDOW_ARB           = $2001
  #WGL_DRAW_TO_BITMAP_ARB           = $2002
  #WGL_ACCELERATION_ARB             = $2003
  #WGL_NEED_PALETTE_ARB             = $2004
  #WGL_NEED_SYSTEM_PALETTE_ARB      = $2005
  #WGL_SWAP_LAYER_BUFFERS_ARB       = $2006
  #WGL_SWAP_METHOD_ARB              = $2007
  #WGL_NUMBER_OVERLAYS_ARB          = $2008
  #WGL_NUMBER_UNDERLAYS_ARB         = $2009
  #WGL_TRANSPARENT_ARB              = $200A
  #WGL_TRANSPARENT_RED_VALUE_ARB    = $2037
  #WGL_TRANSPARENT_GREEN_VALUE_ARB  = $2038
  #WGL_TRANSPARENT_BLUE_VALUE_ARB   = $2039
  #WGL_TRANSPARENT_ALPHA_VALUE_ARB  = $203A
  #WGL_TRANSPARENT_INDEX_VALUE_ARB  = $203B
  #WGL_SHARE_DEPTH_ARB              = $200C 
  #WGL_SHARE_STENCIL_ARB            = $200D
  #WGL_SHARE_ACCUM_ARB              = $200E
  #WGL_SUPPORT_GDI_ARB              = $200F
  #WGL_SUPPORT_OPENGL_ARB           = $2010
  #WGL_DOUBLE_BUFFER_ARB            = $2011
  #WGL_STEREO_ARB                   = $2012
  #WGL_PIXEL_TYPE_ARB               = $2013
  #WGL_COLOR_BITS_ARB               = $2014
  #WGL_RED_BITS_ARB                 = $2015
  #WGL_RED_SHIFT_ARB                = $2016
  #WGL_GREEN_BITS_ARB               = $2017
  #WGL_GREEN_SHIFT_ARB              = $2018
  #WGL_BLUE_BITS_ARB                = $2019
  #WGL_BLUE_SHIFT_ARB               = $201A
  #WGL_ALPHA_BITS_ARB               = $201B
  #WGL_ALPHA_SHIFT_ARB              = $201C
  #WGL_ACCUM_BITS_ARB               = $201D
  #WGL_ACCUM_RED_BITS_ARB           = $201E
  #WGL_ACCUM_GREEN_BITS_ARB         = $201F
  #WGL_ACCUM_BLUE_BITS_ARB          = $2020
  #WGL_ACCUM_ALPHA_BITS_ARB         = $2021
  #WGL_DEPTH_BITS_ARB               = $2022
  #WGL_STENCIL_BITS_ARB             = $2023
  #WGL_AUX_BUFFERS_ARB              = $2024
  #WGL_NO_ACCELERATION_ARB          = $2025
  #WGL_GENERIC_ACCELERATION_ARB     = $2026
  #WGL_FULL_ACCELERATION_ARB        = $2027
  #WGL_SWAP_EXCHANGE_ARB            = $2028
  #WGL_SWAP_COPY_ARB                = $2029
  #WGL_SWAP_UNDEFINED_ARB           = $202A
  #WGL_TYPE_RGBA_ARB                = $202B
  #WGL_TYPE_COLORINDEX_ARB          = $202C
CompilerEndIf                  

CompilerIf Defined(WGL_ARB_make_current_read, #PB_Constant)
  #ERROR_INVALID_PIXEL_TYPE_ARB            = $2043
  #ERROR_INCOMPATIBLE_DEVICE_CONTEXTS_ARB  = $2054
CompilerEndIf

CompilerIf Defined(WGL_ARB_pbuffer, #PB_Constant)
  #WGL_DRAW_TO_PBUFFER_ARB     = $202D   
  #WGL_MAX_PBUFFER_PIXELS_ARB  = $202E   
  #WGL_MAX_PBUFFER_WIDTH_ARB   = $202F   
  #WGL_MAX_PBUFFER_HEIGHT_ARB  = $2030   
  #WGL_PBUFFER_LARGEST_ARB     = $2033   
  #WGL_PBUFFER_WIDTH_ARB       = $2034   
  #WGL_PBUFFER_HEIGHT_ARB      = $2035   
  #WGL_PBUFFER_LOST_ARB        = $2036   
CompilerEndIf             

CompilerIf Defined(WGL_ARB_render_texture, #PB_Constant)
  #WGL_BIND_TO_TEXTURE_RGB_ARB          = $2070
  #WGL_BIND_TO_TEXTURE_RGBA_ARB         = $2071
  #WGL_TEXTURE_FORMAT_ARB               = $2072
  #WGL_TEXTURE_TARGET_ARB               = $2073
  #WGL_MIPMAP_TEXTURE_ARB               = $2074
  #WGL_TEXTURE_RGB_ARB                  = $2075
  #WGL_TEXTURE_RGBA_ARB                 = $2076
  #WGL_NO_TEXTURE_ARB                   = $2077
  #WGL_TEXTURE_CUBE_MAP_ARB             = $2078
  #WGL_TEXTURE_1D_ARB                   = $2079
  #WGL_TEXTURE_2D_ARB                   = $207A
  #WGL_MIPMAP_LEVEL_ARB                 = $207B
  #WGL_CUBE_MAP_FACE_ARB                = $207C
  #WGL_TEXTURE_CUBE_MAP_POSITIVE_X_ARB  = $207D
  #WGL_TEXTURE_CUBE_MAP_NEGATIVE_X_ARB  = $207E
  #WGL_TEXTURE_CUBE_MAP_POSITIVE_Y_ARB  = $207F
  #WGL_TEXTURE_CUBE_MAP_NEGATIVE_Y_ARB  = $2080
  #WGL_TEXTURE_CUBE_MAP_POSITIVE_Z_ARB  = $2081
  #WGL_TEXTURE_CUBE_MAP_NEGATIVE_Z_ARB  = $2082
  #WGL_FRONT_LEFT_ARB                   = $2083
  #WGL_FRONT_RIGHT_ARB                  = $2084
  #WGL_BACK_LEFT_ARB                    = $2085
  #WGL_BACK_RIGHT_ARB                   = $2086
  #WGL_AUX0_ARB                         = $2087
  #WGL_AUX1_ARB                         = $2088
  #WGL_AUX2_ARB                         = $2089
  #WGL_AUX3_ARB                         = $208A
  #WGL_AUX4_ARB                         = $208B
  #WGL_AUX5_ARB                         = $208C
  #WGL_AUX6_ARB                         = $208D
  #WGL_AUX7_ARB                         = $208E
  #WGL_AUX8_ARB                         = $208F
  #WGL_AUX9_ARB                         = $2090
CompilerEndIf                       

CompilerIf Defined(WGL_ARB_pixel_format_float, #PB_Constant)
  #WGL_TYPE_RGBA_FLOAT_ARB       = $21A0
CompilerEndIf

CompilerIf Defined(WGL_EXT_make_current_read, #PB_Constant)
  #ERROR_INVALID_PIXEL_TYPE_EXT  = $2043
CompilerEndIf

CompilerIf Defined(WGL_EXT_pixel_format, #PB_Constant)
  #WGL_NUMBER_PIXEL_FORMATS_EXT  = $2000      
  #WGL_DRAW_TO_WINDOW_EXT        = $2001      
  #WGL_DRAW_TO_BITMAP_EXT        = $2002      
  #WGL_ACCELERATION_EXT          = $2003      
  #WGL_NEED_PALETTE_EXT          = $2004      
  #WGL_NEED_SYSTEM_PALETTE_EXT   = $2005      
  #WGL_SWAP_LAYER_BUFFERS_EXT    = $2006      
  #WGL_SWAP_METHOD_EXT           = $2007      
  #WGL_NUMBER_OVERLAYS_EXT       = $2008      
  #WGL_NUMBER_UNDERLAYS_EXT      = $2009      
  #WGL_TRANSPARENT_EXT           = $200A      
  #WGL_TRANSPARENT_VALUE_EXT     = $200B      
  #WGL_SHARE_DEPTH_EXT           = $200C      
  #WGL_SHARE_STENCIL_EXT         = $200D      
  #WGL_SHARE_ACCUM_EXT           = $200E      
  #WGL_SUPPORT_GDI_EXT           = $200F      
  #WGL_SUPPORT_OPENGL_EXT        = $2010      
  #WGL_DOUBLE_BUFFER_EXT         = $2011      
  #WGL_STEREO_EXT                = $2012      
  #WGL_PIXEL_TYPE_EXT            = $2013      
  #WGL_COLOR_BITS_EXT            = $2014      
  #WGL_RED_BITS_EXT              = $2015      
  #WGL_RED_SHIFT_EXT             = $2016      
  #WGL_GREEN_BITS_EXT            = $2017      
  #WGL_GREEN_SHIFT_EXT           = $2018      
  #WGL_BLUE_BITS_EXT             = $2019      
  #WGL_BLUE_SHIFT_EXT            = $201A      
  #WGL_ALPHA_BITS_EXT            = $201B      
  #WGL_ALPHA_SHIFT_EXT           = $201C      
  #WGL_ACCUM_BITS_EXT            = $201D      
  #WGL_ACCUM_RED_BITS_EXT        = $201E      
  #WGL_ACCUM_GREEN_BITS_EXT      = $201F      
  #WGL_ACCUM_BLUE_BITS_EXT       = $2020      
  #WGL_ACCUM_ALPHA_BITS_EXT      = $2021      
  #WGL_DEPTH_BITS_EXT            = $2022      
  #WGL_STENCIL_BITS_EXT          = $2023      
  #WGL_AUX_BUFFERS_EXT           = $2024      
  #WGL_NO_ACCELERATION_EXT       = $2025      
  #WGL_GENERIC_ACCELERATION_EXT  = $2026      
  #WGL_FULL_ACCELERATION_EXT     = $2027      
  #WGL_SWAP_EXCHANGE_EXT         = $2028      
  #WGL_SWAP_COPY_EXT             = $2029      
  #WGL_SWAP_UNDEFINED_EXT        = $202A      
  #WGL_TYPE_RGBA_EXT             = $202B      
  #WGL_TYPE_COLORINDEX_EXT       = $202C      
CompilerEndIf                     

CompilerIf Defined(WGL_EXT_pbuffer, #PB_Constant)
  #WGL_DRAW_TO_PBUFFER_EXT         = $202D    
  #WGL_MAX_PBUFFER_PIXELS_EXT      = $202E    
  #WGL_MAX_PBUFFER_WIDTH_EXT       = $202F    
  #WGL_MAX_PBUFFER_HEIGHT_EXT      = $2030    
  #WGL_OPTIMAL_PBUFFER_WIDTH_EXT   = $2031    
  #WGL_OPTIMAL_PBUFFER_HEIGHT_EXT  = $2032    
  #WGL_PBUFFER_LARGEST_EXT         = $2033    
  #WGL_PBUFFER_WIDTH_EXT           = $2034    
  #WGL_PBUFFER_HEIGHT_EXT          = $2035    
CompilerEndIf                     

CompilerIf Defined(WGL_EXT_depth_float, #PB_Constant)
  #WGL_DEPTH_FLOAT_EXT  = $2040
CompilerEndIf

CompilerIf Defined(WGL_3DFX_multisample, #PB_Constant)
  #WGL_SAMPLE_BUFFERS_3DFX  = $2060
  #WGL_SAMPLES_3DFX         = $2061
CompilerEndIf

CompilerIf Defined(WGL_EXT_multisample, #PB_Constant)
  #WGL_SAMPLE_BUFFERS_EXT  = $2041
  #WGL_SAMPLES_EXT         = $2042
CompilerEndIf

CompilerIf Defined(WGL_I3D_digital_video_control, #PB_Constant)
  #WGL_DIGITAL_VIDEO_CURSOR_ALPHA_FRAMEBUFFER_I3D  = $2050
  #WGL_DIGITAL_VIDEO_CURSOR_ALPHA_VALUE_I3D        = $2051
  #WGL_DIGITAL_VIDEO_CURSOR_INCLUDED_I3D           = $2052
  #WGL_DIGITAL_VIDEO_GAMMA_CORRECTED_I3D           = $2053
CompilerEndIf

CompilerIf Defined(WGL_I3D_gamma, #PB_Constant)
  #WGL_GAMMA_TABLE_SIZE_I3D       = $204E
  #WGL_GAMMA_EXCLUDE_DESKTOP_I3D  = $204F
CompilerEndIf

CompilerIf Defined(WGL_I3D_genlock, #PB_Constant)
  #WGL_GENLOCK_SOURCE_MULTIVIEW_I3D      = $2044
  #WGL_GENLOCK_SOURCE_EXTENAL_SYNC_I3D   = $2045
  #WGL_GENLOCK_SOURCE_EXTENAL_FIELD_I3D  = $2046
  #WGL_GENLOCK_SOURCE_EXTENAL_TTL_I3D    = $2047
  #WGL_GENLOCK_SOURCE_DIGITAL_SYNC_I3D   = $2048
  #WGL_GENLOCK_SOURCE_DIGITAL_FIELD_I3D  = $2049
  #WGL_GENLOCK_SOURCE_EDGE_FALLING_I3D   = $204A
  #WGL_GENLOCK_SOURCE_EDGE_RISING_I3D    = $204B
  #WGL_GENLOCK_SOURCE_EDGE_BOTH_I3D      = $204C
CompilerEndIf

CompilerIf Defined(WGL_I3D_image_buffer, #PB_Constant)
  #WGL_IMAGE_BUFFER_MIN_ACCESS_I3D  = $00000001
  #WGL_IMAGE_BUFFER_LOCK_I3D        = $00000002
CompilerEndIf

CompilerIf Defined(WGL_I3D_swap_frame_lock, #PB_Constant)
CompilerEndIf

CompilerIf Defined(WGL_NV_render_depth_texture, #PB_Constant)
  #WGL_BIND_TO_TEXTURE_DEPTH_NV           = $20A3
  #WGL_BIND_TO_TEXTURE_RECTANGLE_DEPTH_NV = $20A4
  #WGL_DEPTH_TEXTURE_FORMAT_NV            = $20A5
  #WGL_TEXTURE_DEPTH_COMPONENT_NV         = $20A6
  #WGL_DEPTH_COMPONENT_NV                 = $20A7
CompilerEndIf                       

CompilerIf Defined(WGL_NV_render_texture_rectangle, #PB_Constant)
  #WGL_BIND_TO_TEXTURE_RECTANGLE_RGB_NV   = $20A0
  #WGL_BIND_TO_TEXTURE_RECTANGLE_RGBA_NV  = $20A1
  #WGL_TEXTURE_RECTANGLE_NV               = $20A2
CompilerEndIf

CompilerIf Defined(WGL_ATI_pixel_format_float, #PB_Constant)
  #WGL_TYPE_RGBA_FLOAT_ATI  = $21A0
CompilerEndIf

CompilerIf Defined(WGL_NV_float_buffer, #PB_Constant)
  #WGL_FLOAT_COMPONENTS_NV                     
  #WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_R_NV    
  #WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_RG_NV   
  #WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_RGB_NV  
  #WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_RGBA_NV 
  #WGL_TEXTURE_FLOAT_R_NV                       
  #WGL_TEXTURE_FLOAT_RG_NV                     
  #WGL_TEXTURE_FLOAT_RGB_NV                    
  #WGL_TEXTURE_FLOAT_RGBA_NV                   
CompilerEndIf                           


; /*************************************************************/
; #ifndef WGL_ARB_pbuffer
; DECLARE_HANDLE(HPBUFFERARB);
; #endif
; #ifndef WGL_EXT_pbuffer
; DECLARE_HANDLE(HPBUFFEREXT);
; #endif
; 
; #ifndef WGL_ARB_buffer_region
; #WGL_ARB_buffer_region 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern HANDLE WINAPI wglCreateBufferRegionARB (HDC, int, UINT);
; extern VOID WINAPI wglDeleteBufferRegionARB (HANDLE);
; extern BOOL WINAPI wglSaveBufferRegionARB (HANDLE, int, int, int, int);
; extern BOOL WINAPI wglRestoreBufferRegionARB (HANDLE, int, int, int, int, int, int);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef HANDLE (WINAPI * PFNWGLCREATEBUFFERREGIONARBPROC) (HDC hDC, int iLayerPlane, UINT uType);
; typedef VOID (WINAPI * PFNWGLDELETEBUFFERREGIONARBPROC) (HANDLE hRegion);
; typedef BOOL (WINAPI * PFNWGLSAVEBUFFERREGIONARBPROC) (HANDLE hRegion, int x, int y, int width, int height);
; typedef BOOL (WINAPI * PFNWGLRESTOREBUFFERREGIONARBPROC) (HANDLE hRegion, int x, int y, int width, int height, int xSrc, int ySrc);
; #endif
; 
; #ifndef WGL_ARB_multisample
; #WGL_ARB_multisample 1
; #endif
; 
; #ifndef WGL_ARB_extensions_string
; #WGL_ARB_extensions_string 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern const char * WINAPI wglGetExtensionsStringARB (HDC);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef const char * (WINAPI * PFNWGLGETEXTENSIONSSTRINGARBPROC) (HDC hdc);
; #endif
; 
; #ifndef WGL_ARB_pixel_format
; #WGL_ARB_pixel_format 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglGetPixelFormatAttribivARB (HDC, int, int, UINT, const int *, int *);
; extern BOOL WINAPI wglGetPixelFormatAttribfvARB (HDC, int, int, UINT, const int *, FLOAT *);
; extern BOOL WINAPI wglChoosePixelFormatARB (HDC, const int *, const FLOAT *, UINT, int *, UINT *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLGETPIXELFORMATATTRIBIVARBPROC) (HDC hdc, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, int *piValues);
; typedef BOOL (WINAPI * PFNWGLGETPIXELFORMATATTRIBFVARBPROC) (HDC hdc, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, FLOAT *pfValues);
; typedef BOOL (WINAPI * PFNWGLCHOOSEPIXELFORMATARBPROC) (HDC hdc, const int *piAttribIList, const FLOAT *pfAttribFList, UINT nMaxFormats, int *piFormats, UINT *nNumFormats);
; #endif
; 
; #ifndef WGL_ARB_make_current_read
; #WGL_ARB_make_current_read 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglMakeContextCurrentARB (HDC, HDC, HGLRC);
; extern HDC WINAPI wglGetCurrentReadDCARB (void);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLMAKECONTEXTCURRENTARBPROC) (HDC hDrawDC, HDC hReadDC, HGLRC hglrc);
; typedef HDC (WINAPI * PFNWGLGETCURRENTREADDCARBPROC) (void);
; #endif
; 
; #ifndef WGL_ARB_pbuffer
; #WGL_ARB_pbuffer 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern HPBUFFERARB WINAPI wglCreatePbufferARB (HDC, int, int, int, const int *);
; extern HDC WINAPI wglGetPbufferDCARB (HPBUFFERARB);
; extern int WINAPI wglReleasePbufferDCARB (HPBUFFERARB, HDC);
; extern BOOL WINAPI wglDestroyPbufferARB (HPBUFFERARB);
; extern BOOL WINAPI wglQueryPbufferARB (HPBUFFERARB, int, int *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef HPBUFFERARB (WINAPI * PFNWGLCREATEPBUFFERARBPROC) (HDC hDC, int iPixelFormat, int iWidth, int iHeight, const int *piAttribList);
; typedef HDC (WINAPI * PFNWGLGETPBUFFERDCARBPROC) (HPBUFFERARB hPbuffer);
; typedef Int (WINAPI * PFNWGLRELEASEPBUFFERDCARBPROC) (HPBUFFERARB hPbuffer, HDC hDC);
; typedef BOOL (WINAPI * PFNWGLDESTROYPBUFFERARBPROC) (HPBUFFERARB hPbuffer);
; typedef BOOL (WINAPI * PFNWGLQUERYPBUFFERARBPROC) (HPBUFFERARB hPbuffer, int iAttribute, int *piValue);
; #endif
; 
; #ifndef WGL_ARB_render_texture
; #WGL_ARB_render_texture 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglBindTexImageARB (HPBUFFERARB, int);
; extern BOOL WINAPI wglReleaseTexImageARB (HPBUFFERARB, int);
; extern BOOL WINAPI wglSetPbufferAttribARB (HPBUFFERARB, const int *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLBINDTEXIMAGEARBPROC) (HPBUFFERARB hPbuffer, int iBuffer);
; typedef BOOL (WINAPI * PFNWGLRELEASETEXIMAGEARBPROC) (HPBUFFERARB hPbuffer, int iBuffer);
; typedef BOOL (WINAPI * PFNWGLSETPBUFFERATTRIBARBPROC) (HPBUFFERARB hPbuffer, const int *piAttribList);
; #endif
; 
; #ifndef WGL_ARB_pixel_format_float
; #WGL_ARB_pixel_format_float 1
; #endif
; 
; #ifndef WGL_EXT_display_color_table
; #WGL_EXT_display_color_table 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern GLboolean WINAPI wglCreateDisplayColorTableEXT (GLushort);
; extern GLboolean WINAPI wglLoadDisplayColorTableEXT (const GLushort *, GLuint);
; extern GLboolean WINAPI wglBindDisplayColorTableEXT (GLushort);
; extern VOID WINAPI wglDestroyDisplayColorTableEXT (GLushort);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef GLboolean (WINAPI * PFNWGLCREATEDISPLAYCOLORTABLEEXTPROC) (GLushort id);
; typedef GLboolean (WINAPI * PFNWGLLOADDISPLAYCOLORTABLEEXTPROC) (const GLushort *table, GLuint length);
; typedef GLboolean (WINAPI * PFNWGLBINDDISPLAYCOLORTABLEEXTPROC) (GLushort id);
; typedef VOID (WINAPI * PFNWGLDESTROYDISPLAYCOLORTABLEEXTPROC) (GLushort id);
; #endif
; 
; #ifndef WGL_EXT_extensions_string
; #WGL_EXT_extensions_string 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern const char * WINAPI wglGetExtensionsStringEXT (void);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef const char * (WINAPI * PFNWGLGETEXTENSIONSSTRINGEXTPROC) (void);
; #endif
; 
; #ifndef WGL_EXT_make_current_read
; #WGL_EXT_make_current_read 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglMakeContextCurrentEXT (HDC, HDC, HGLRC);
; extern HDC WINAPI wglGetCurrentReadDCEXT (void);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLMAKECONTEXTCURRENTEXTPROC) (HDC hDrawDC, HDC hReadDC, HGLRC hglrc);
; typedef HDC (WINAPI * PFNWGLGETCURRENTREADDCEXTPROC) (void);
; #endif
; 
; #ifndef WGL_EXT_pbuffer
; #WGL_EXT_pbuffer 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern HPBUFFEREXT WINAPI wglCreatePbufferEXT (HDC, int, int, int, const int *);
; extern HDC WINAPI wglGetPbufferDCEXT (HPBUFFEREXT);
; extern int WINAPI wglReleasePbufferDCEXT (HPBUFFEREXT, HDC);
; extern BOOL WINAPI wglDestroyPbufferEXT (HPBUFFEREXT);
; extern BOOL WINAPI wglQueryPbufferEXT (HPBUFFEREXT, int, int *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef HPBUFFEREXT (WINAPI * PFNWGLCREATEPBUFFEREXTPROC) (HDC hDC, int iPixelFormat, int iWidth, int iHeight, const int *piAttribList);
; typedef HDC (WINAPI * PFNWGLGETPBUFFERDCEXTPROC) (HPBUFFEREXT hPbuffer);
; typedef Int (WINAPI * PFNWGLRELEASEPBUFFERDCEXTPROC) (HPBUFFEREXT hPbuffer, HDC hDC);
; typedef BOOL (WINAPI * PFNWGLDESTROYPBUFFEREXTPROC) (HPBUFFEREXT hPbuffer);
; typedef BOOL (WINAPI * PFNWGLQUERYPBUFFEREXTPROC) (HPBUFFEREXT hPbuffer, int iAttribute, int *piValue);
; #endif
; 
; #ifndef WGL_EXT_pixel_format
; #WGL_EXT_pixel_format 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglGetPixelFormatAttribivEXT (HDC, int, int, UINT, int *, int *);
; extern BOOL WINAPI wglGetPixelFormatAttribfvEXT (HDC, int, int, UINT, int *, FLOAT *);
; extern BOOL WINAPI wglChoosePixelFormatEXT (HDC, const int *, const FLOAT *, UINT, int *, UINT *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLGETPIXELFORMATATTRIBIVEXTPROC) (HDC hdc, int iPixelFormat, int iLayerPlane, UINT nAttributes, int *piAttributes, int *piValues);
; typedef BOOL (WINAPI * PFNWGLGETPIXELFORMATATTRIBFVEXTPROC) (HDC hdc, int iPixelFormat, int iLayerPlane, UINT nAttributes, int *piAttributes, FLOAT *pfValues);
; typedef BOOL (WINAPI * PFNWGLCHOOSEPIXELFORMATEXTPROC) (HDC hdc, const int *piAttribIList, const FLOAT *pfAttribFList, UINT nMaxFormats, int *piFormats, UINT *nNumFormats);
; #endif
; 
; #ifndef WGL_EXT_swap_control
; #WGL_EXT_swap_control 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglSwapIntervalEXT (int);
; extern int WINAPI wglGetSwapIntervalEXT (void);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLSWAPINTERVALEXTPROC) (int interval);
; typedef Int (WINAPI * PFNWGLGETSWAPINTERVALEXTPROC) (void);
; #endif
; 
; #ifndef WGL_EXT_depth_float
; #WGL_EXT_depth_float 1
; #endif
; 
; #ifndef WGL_NV_vertex_array_range
; #WGL_NV_vertex_array_range 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern void* WINAPI wglAllocateMemoryNV (GLsizei, GLfloat, GLfloat, GLfloat);
; extern void WINAPI wglFreeMemoryNV (void *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef void* (WINAPI * PFNWGLALLOCATEMEMORYNVPROC) (GLsizei size, GLfloat readfreq, GLfloat writefreq, GLfloat priority);
; typedef void (WINAPI * PFNWGLFREEMEMORYNVPROC) (void *pointer);
; #endif
; 
; #ifndef WGL_3DFX_multisample
; #WGL_3DFX_multisample 1
; #endif
; 
; #ifndef WGL_EXT_multisample
; #WGL_EXT_multisample 1
; #endif
; 
; #ifndef WGL_OML_sync_control
; #WGL_OML_sync_control 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglGetSyncValuesOML (HDC, INT64 *, INT64 *, INT64 *);
; extern BOOL WINAPI wglGetMscRateOML (HDC, INT32 *, INT32 *);
; extern INT64 WINAPI wglSwapBuffersMscOML (HDC, INT64, INT64, INT64);
; extern INT64 WINAPI wglSwapLayerBuffersMscOML (HDC, int, INT64, INT64, INT64);
; extern BOOL WINAPI wglWaitForMscOML (HDC, INT64, INT64, INT64, INT64 *, INT64 *, INT64 *);
; extern BOOL WINAPI wglWaitForSbcOML (HDC, INT64, INT64 *, INT64 *, INT64 *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLGETSYNCVALUESOMLPROC) (HDC hdc, INT64 *ust, INT64 *msc, INT64 *sbc);
; typedef BOOL (WINAPI * PFNWGLGETMSCRATEOMLPROC) (HDC hdc, INT32 *numerator, INT32 *denominator);
; typedef INT64 (WINAPI * PFNWGLSWAPBUFFERSMSCOMLPROC) (HDC hdc, INT64 target_msc, INT64 divisor, INT64 remainder);
; typedef INT64 (WINAPI * PFNWGLSWAPLAYERBUFFERSMSCOMLPROC) (HDC hdc, int fuPlanes, INT64 target_msc, INT64 divisor, INT64 remainder);
; typedef BOOL (WINAPI * PFNWGLWAITFORMSCOMLPROC) (HDC hdc, INT64 target_msc, INT64 divisor, INT64 remainder, INT64 *ust, INT64 *msc, INT64 *sbc);
; typedef BOOL (WINAPI * PFNWGLWAITFORSBCOMLPROC) (HDC hdc, INT64 target_sbc, INT64 *ust, INT64 *msc, INT64 *sbc);
; #endif
; 
; #ifndef WGL_I3D_digital_video_control
; #WGL_I3D_digital_video_control 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglGetDigitalVideoParametersI3D (HDC, int, int *);
; extern BOOL WINAPI wglSetDigitalVideoParametersI3D (HDC, int, const int *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLGETDIGITALVIDEOPARAMETERSI3DPROC) (HDC hDC, int iAttribute, int *piValue);
; typedef BOOL (WINAPI * PFNWGLSETDIGITALVIDEOPARAMETERSI3DPROC) (HDC hDC, int iAttribute, const int *piValue);
; #endif
; 
; #ifndef WGL_I3D_gamma
; #WGL_I3D_gamma 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglGetGammaTableParametersI3D (HDC, int, int *);
; extern BOOL WINAPI wglSetGammaTableParametersI3D (HDC, int, const int *);
; extern BOOL WINAPI wglGetGammaTableI3D (HDC, int, USHORT *, USHORT *, USHORT *);
; extern BOOL WINAPI wglSetGammaTableI3D (HDC, int, const USHORT *, const USHORT *, const USHORT *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLGETGAMMATABLEPARAMETERSI3DPROC) (HDC hDC, int iAttribute, int *piValue);
; typedef BOOL (WINAPI * PFNWGLSETGAMMATABLEPARAMETERSI3DPROC) (HDC hDC, int iAttribute, const int *piValue);
; typedef BOOL (WINAPI * PFNWGLGETGAMMATABLEI3DPROC) (HDC hDC, int iEntries, USHORT *puRed, USHORT *puGreen, USHORT *puBlue);
; typedef BOOL (WINAPI * PFNWGLSETGAMMATABLEI3DPROC) (HDC hDC, int iEntries, const USHORT *puRed, const USHORT *puGreen, const USHORT *puBlue);
; #endif
; 
; #ifndef WGL_I3D_genlock
; #WGL_I3D_genlock 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglEnableGenlockI3D (HDC);
; extern BOOL WINAPI wglDisableGenlockI3D (HDC);
; extern BOOL WINAPI wglIsEnabledGenlockI3D (HDC, BOOL *);
; extern BOOL WINAPI wglGenlockSourceI3D (HDC, UINT);
; extern BOOL WINAPI wglGetGenlockSourceI3D (HDC, UINT *);
; extern BOOL WINAPI wglGenlockSourceEdgeI3D (HDC, UINT);
; extern BOOL WINAPI wglGetGenlockSourceEdgeI3D (HDC, UINT *);
; extern BOOL WINAPI wglGenlockSampleRateI3D (HDC, UINT);
; extern BOOL WINAPI wglGetGenlockSampleRateI3D (HDC, UINT *);
; extern BOOL WINAPI wglGenlockSourceDelayI3D (HDC, UINT);
; extern BOOL WINAPI wglGetGenlockSourceDelayI3D (HDC, UINT *);
; extern BOOL WINAPI wglQueryGenlockMaxSourceDelayI3D (HDC, UINT *, UINT *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLENABLEGENLOCKI3DPROC) (HDC hDC);
; typedef BOOL (WINAPI * PFNWGLDISABLEGENLOCKI3DPROC) (HDC hDC);
; typedef BOOL (WINAPI * PFNWGLISENABLEDGENLOCKI3DPROC) (HDC hDC, BOOL *pFlag);
; typedef BOOL (WINAPI * PFNWGLGENLOCKSOURCEI3DPROC) (HDC hDC, UINT uSource);
; typedef BOOL (WINAPI * PFNWGLGETGENLOCKSOURCEI3DPROC) (HDC hDC, UINT *uSource);
; typedef BOOL (WINAPI * PFNWGLGENLOCKSOURCEEDGEI3DPROC) (HDC hDC, UINT uEdge);
; typedef BOOL (WINAPI * PFNWGLGETGENLOCKSOURCEEDGEI3DPROC) (HDC hDC, UINT *uEdge);
; typedef BOOL (WINAPI * PFNWGLGENLOCKSAMPLERATEI3DPROC) (HDC hDC, UINT uRate);
; typedef BOOL (WINAPI * PFNWGLGETGENLOCKSAMPLERATEI3DPROC) (HDC hDC, UINT *uRate);
; typedef BOOL (WINAPI * PFNWGLGENLOCKSOURCEDELAYI3DPROC) (HDC hDC, UINT uDelay);
; typedef BOOL (WINAPI * PFNWGLGETGENLOCKSOURCEDELAYI3DPROC) (HDC hDC, UINT *uDelay);
; typedef BOOL (WINAPI * PFNWGLQUERYGENLOCKMAXSOURCEDELAYI3DPROC) (HDC hDC, UINT *uMaxLineDelay, UINT *uMaxPixelDelay);
; #endif
; 
; #ifndef WGL_I3D_image_buffer
; #WGL_I3D_image_buffer 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern LPVOID WINAPI wglCreateImageBufferI3D (HDC, DWORD, UINT);
; extern BOOL WINAPI wglDestroyImageBufferI3D (HDC, LPVOID);
; extern BOOL WINAPI wglAssociateImageBufferEventsI3D (HDC, const HANDLE *, const LPVOID *, const DWORD *, UINT);
; extern BOOL WINAPI wglReleaseImageBufferEventsI3D (HDC, const LPVOID *, UINT);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef LPVOID (WINAPI * PFNWGLCREATEIMAGEBUFFERI3DPROC) (HDC hDC, DWORD dwSize, UINT uFlags);
; typedef BOOL (WINAPI * PFNWGLDESTROYIMAGEBUFFERI3DPROC) (HDC hDC, LPVOID pAddress);
; typedef BOOL (WINAPI * PFNWGLASSOCIATEIMAGEBUFFEREVENTSI3DPROC) (HDC hDC, const HANDLE *pEvent, const LPVOID *pAddress, const DWORD *pSize, UINT count);
; typedef BOOL (WINAPI * PFNWGLRELEASEIMAGEBUFFEREVENTSI3DPROC) (HDC hDC, const LPVOID *pAddress, UINT count);
; #endif
; 
; #ifndef WGL_I3D_swap_frame_lock
; #WGL_I3D_swap_frame_lock 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglEnableFrameLockI3D (void);
; extern BOOL WINAPI wglDisableFrameLockI3D (void);
; extern BOOL WINAPI wglIsEnabledFrameLockI3D (BOOL *);
; extern BOOL WINAPI wglQueryFrameLockMasterI3D (BOOL *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLENABLEFRAMELOCKI3DPROC) (void);
; typedef BOOL (WINAPI * PFNWGLDISABLEFRAMELOCKI3DPROC) (void);
; typedef BOOL (WINAPI * PFNWGLISENABLEDFRAMELOCKI3DPROC) (BOOL *pFlag);
; typedef BOOL (WINAPI * PFNWGLQUERYFRAMELOCKMASTERI3DPROC) (BOOL *pFlag);
; #endif
; 
; #ifndef WGL_I3D_swap_frame_usage
; #WGL_I3D_swap_frame_usage 1
; #ifdef WGL_WGLEXT_PROTOTYPES
; extern BOOL WINAPI wglGetFrameUsageI3D (float *);
; extern BOOL WINAPI wglBeginFrameTrackingI3D (void);
; extern BOOL WINAPI wglEndFrameTrackingI3D (void);
; extern BOOL WINAPI wglQueryFrameTrackingI3D (DWORD *, DWORD *, float *);
; #endif /* WGL_WGLEXT_PROTOTYPES */
; typedef BOOL (WINAPI * PFNWGLGETFRAMEUSAGEI3DPROC) (float *pUsage);
; typedef BOOL (WINAPI * PFNWGLBEGINFRAMETRACKINGI3DPROC) (void);
; typedef BOOL (WINAPI * PFNWGLENDFRAMETRACKINGI3DPROC) (void);
; typedef BOOL (WINAPI * PFNWGLQUERYFRAMETRACKINGI3DPROC) (DWORD *pFrameCount, DWORD *pMissedFrames, float *pLastMissedUsage);
; #endif
; 
; #ifndef WGL_ATI_pixel_format_float
; #WGL_ATI_pixel_format_float 1
; #endif
; 
; #ifndef WGL_NV_float_buffer
; #WGL_NV_float_buffer 1
; #endif
; 
; 
; #ifdef __cplusplus
; }
; #endif
; 
; #endif
; 

; IDE Options = PureBasic v4.00 - Beta 6 (Windows - x86)
; Folding = -